Android のセキュリティに関する公開情報 - 2018 年 2 月

2018 年 2 月 5 日公開 | 2018 年 2 月 14 日

Android のセキュリティに関する公開情報には、Android 搭載端末に影響を及ぼすセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2018-02-05 以降では、下記のすべての問題に対処しています。端末のセキュリティ パッチレベルを確認する方法については、Android のバージョンを確認して更新するをご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。Android オープンソース プロジェクト(AOSP)のレポジトリに、下記の問題に対するソースコードのパッチをリリースしています。また、この公開情報では、これらのパッチへのリンクに加え、AOSP 以外のパッチへのリンクも掲載しています。

下記の問題のうち最も重大度の高いものは、メディア フレームワークに重大なセキュリティの脆弱性があるため、離れた場所にいる攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあることです。重大度の評価は、攻撃対象の端末でその脆弱性が悪用された場合の影響に基づくもので、プラットフォームやサービスでのリスク軽減策が開発目的または不正な回避により無効となっていることを前提としています。

この新たに報告された問題によって実際のユーザー端末が不正使用された報告はありません。Android セキュリティ プラットフォームの保護や Google Play プロテクトについて詳しくは、Android と Google Play プロテクトのリスク軽減策をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。

注: 最新の無線(OTA)アップデートと Google 端末のファームウェア イメージについての情報は、2018 年 2 月の Pixel / Nexus のセキュリティに関する公開情報でご覧いただけます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームの保護と Google Play プロテクトのようなサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らします。

  • Android プラットフォームの最新版での機能強化により、Android 上の多くの問題について悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新バージョンの Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトによって脆弱性の悪用を積極的に監視しており、有害なおそれのあるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載した端末ではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2018-02-01 の脆弱性の詳細

パッチレベル 2018-02-01 に該当するセキュリティ脆弱性の各項目について、下記に詳細を説明します。脆弱性は、影響を受けるコンポーネントごとに分類しています。問題の内容について説明し、CVE、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を表にまとめています。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に続く番号で、追加の参照先へのリンクを示します。

メディア フレームワーク

メディア フレームワークの最も重大な脆弱性は、離れた場所にいる攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあることです。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2017-13228 A-69478425 RCE 重大 6.0、6.0.1、7.0、7.1.1、7.1.2、8.0、8.1
CVE-2017-13231 A-67962232 EoP 8.0、8.1
CVE-2017-13232 A-68953950 ID 5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0、8.1
CVE-2017-13230 A-65483665 DoS 7.0、7.1.1、7.1.2、8.0、8.1
RCE 重大 5.1.1、6.0、6.0.1
CVE-2017-13233 A-62851602 DoS 5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0、8.1
CVE-2017-13234 A-68159767 DoS 5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0、8.1

システム

システムの最も重大な脆弱性は、通常は特権プロセスに制限されているコマンドが悪意のあるローカルアプリによって実行されるおそれがあることです。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2017-13236 A-68217699 [2] EoP 8.0、8.1

セキュリティ パッチレベル 2018-02-05 の脆弱性の詳細

パッチレベル 2018-02-05 に該当するセキュリティ脆弱性の各項目について、下記に詳細を説明します。影響を受けるコンポーネントごとに脆弱性を分類し、CVE、関連する参照先、脆弱性のタイプ重大度、コンポーネント(該当する場合)、更新対象の AOSP バージョン(該当する場合)などの詳細を記載しています。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に続く番号で、追加の参照先へのリンクを示します。

HTC コンポーネント

HTC コンポーネントの最も重大な脆弱性は、悪意のあるローカルアプリによってデータへの不正アクセスが行われるおそれがあることです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2017-13238 A-64610940* ID ブートローダー
CVE-2017-13247 A-71486645* EoP ブートローダー

カーネル コンポーネント

カーネル コンポーネントに重大な脆弱性があるため、悪意のあるローカルアプリによって特権プロセス内で任意のコードが実行されるおそれがあります。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2017-15265 A-67900971
アップストリーム カーネル
EoP ALSA
CVE-2015-9016 A-63083046
アップストリーム カーネル
EoP マルチキュー ブロック IO
CVE-2017-13273 A-65853158* EoP カーネル

NVIDIA コンポーネント

NVIDIA コンポーネントの最も重大な脆弱性は、悪意のあるローカルアプリによって特権プロセス内で任意のコードが実行されるおそれがあることです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2017-6279 A-65023166*
N-CVE-2017-6279
EoP メディア フレームワーク
CVE-2017-6258 A-38027496*
N-CVE-2017-6258
EoP メディア フレームワーク

Qualcomm コンポーネント

Qualcomm コンポーネントの最も重大な脆弱性は、離れた場所にいる攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあることです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2017-15817 A-68992394
QC-CR#2076603 [2]
RCE 重大 WLAN
CVE-2017-15860 A-68992416
QC-CR#2082544 [2]
RCE 重大 WLAN
CVE-2017-11041 A-35269676*
QC-CR#2053101
EoP メディア フレームワーク
CVE-2017-17767 A-64750179*
QC-CR#2115779
EoP メディア フレームワーク
CVE-2017-17765 A-68992445
QC-CR#2115112
EoP WLAN
CVE-2017-15862 A-68992439
QC-CR#2114426
EoP WLAN
CVE-2017-14884 A-68992429
QC-CR#2113052
EoP WLAN
CVE-2017-15829 A-68992397
QC-CR#2097917
EoP Graphics_Linux
CVE-2017-15820 A-68992396
QC-CR#2093377
EoP Graphics_Linux
CVE-2017-17764 A-68992443
QC-CR#2114789
EoP WLAN
CVE-2017-15861 A-68992434
QC-CR#2114187
EoP WLAN

Qualcomm クローズドソース コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm AMSS のセキュリティに関する公開情報またはセキュリティ アラートをご覧ください。この一連の問題の重大度は Qualcomm から提供されたものです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2017-14910 A-62212114* N/A クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問について、以下で回答します。

1. 上記の問題に対処するように端末が更新されているかどうかを確かめるには、どうすればよいですか?

端末のセキュリティ パッチレベルを確認する方法については、Android のバージョンを確認して更新するをご覧ください。

  • セキュリティ パッチレベル 2018-02-01 以降では、セキュリティ パッチレベル 2018-02-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2018-02-05 以降では、セキュリティ パッチレベル 2018-02-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。

このアップデートを組み込んだ端末メーカーは、パッチレベル文字列を以下に設定する必要があります。

  • [ro.build.version.security_patch]:[2018-02-01]
  • [ro.build.version.security_patch]:[2018-02-05]

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報では、2 つのセキュリティ パッチレベルを定義しています。これは、すべての Android 搭載端末で同様の問題が発生する一部の脆弱性をサブセットとし、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーには、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2018-02-01 のセキュリティ パッチレベルを使用する端末では、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2018-02-05 以降のセキュリティ パッチレベルを使用する端末には、今回(およびそれ以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーには、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属す組織を示す接頭辞を含めている場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、「参照」列の Android バグ ID の横に「*」を付けています。この問題のアップデートは、通常、Google デベロッパー サイトから入手できる Nexus 端末用最新バイナリ ドライバに含まれています。

6. セキュリティの脆弱性が、この公開情報と端末やパートナーのセキュリティに関する公開情報(Pixel / Nexus のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android 搭載端末の最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要です。それ以外の、端末やパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必要ありません。SamsungLGE などの Android 搭載端末やチップセットのメーカーには、自社の端末に関して他にも修正がある場合は、自社のセキュリティ関連のウェブサイトや Pixel / Nexus のセキュリティに関する公開情報にその情報を掲載することが推奨されています。

バージョン

バージョン 日付 メモ
1.0 2018 年 2 月 5 日 情報公開
1.1 2018 年 2 月 7 日 公開情報を改訂し AOSP リンクを追加
1.2 2018 年 2 月 14 日 CVE-2017-13273、CVE-2017-15860、CVE-2017-15861、CVE-2017-15862 の CVE 番号を修正